upgrade Maya now thinks it is Ubuntu 12.04 LTS

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read this

upgrade Maya now thinks it is Ubuntu 12.04 LTS

Postby HankB on Sat Feb 02, 2013 12:24 am

I just did an 'apt-get upgrade' and /etc/issue and it's ilk wanted to change from Mint Maya to Ubuntu 120.4 LTS. Looks like the wrong files slipped through.

I'm not sure where to report this.

Or did this result because there are Ubuntu repos in sources.list:
Code: Select all
hbarta@cypress:~$ cat /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream import
deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ precise partner
deb http://packages.medibuntu.org/ precise free non-free

# deb http://archive.getdeb.net/ubuntu precise-getdeb apps
# deb http://archive.getdeb.net/ubuntu precise-getdeb games

deb http://download.virtualbox.org/virtualbox/debian precise contrib

hbarta@cypress:~$


As far as I can recall, I have not modified the contents of sources.list.
HankB
Level 1
Level 1
 
Posts: 40
Joined: Wed Nov 09, 2011 9:43 am

Linux Mint is funded by ads and donations.
 

Re: upgrade Maya now thinks it is Ubuntu 12.04 LTS

Postby xenopeek on Sat Feb 02, 2013 4:51 am

See this post: viewtopic.php?f=47&t=122385#p672047. Next time you have a package upgrade, and it asks if you want to overwrite files in /etc, accept the default choice of retaining the current version of the file. As a general rule, you do not want to overwrite files in /etc.
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14891
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: upgrade Maya now thinks it is Ubuntu 12.04 LTS

Postby HankB on Sat Feb 02, 2013 9:30 am

Thanks for the tip. I examined the changes and did not let it upgrade the files as you suggest. However there was, I think, one new file:
Code: Select all
hbarta@cypress:~$ cat /etc/os-release
NAME="Ubuntu"
VERSION="12.04.2 LTS, Precise Pangolin"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu precise (12.04.2 LTS)"
VERSION_ID="12.04"
hbarta@cypress:~$
HankB
Level 1
Level 1
 
Posts: 40
Joined: Wed Nov 09, 2011 9:43 am

Re: upgrade Maya now thinks it is Ubuntu 12.04 LTS

Postby xenopeek on Sat Feb 02, 2013 11:03 am

Ah, yes. That file comes installed from the base-files package, upon upgrade to version 6.5ubuntu6.5. It says:
Code: Select all
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

Have you noticed anywhere that the computer now tells you it is Ubuntu?
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14891
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands


Return to Other topics

Who is online

Users browsing this forum: No registered users and 5 guests